summaryrefslogtreecommitdiff
path: root/checks/encryptp.test
diff options
context:
space:
mode:
Diffstat (limited to 'checks/encryptp.test')
-rwxr-xr-xchecks/encryptp.test10
1 files changed, 10 insertions, 0 deletions
diff --git a/checks/encryptp.test b/checks/encryptp.test
new file mode 100755
index 0000000..7df24ef
--- /dev/null
+++ b/checks/encryptp.test
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+. $srcdir/defs.inc || exit 3
+
+#info Checking encryption with a pipe
+for i in $plain_files $data_files ; do
+ $GPG --always-trust -e --yes -r "$usrname2" <$i | $GPG --yes > y
+ cmp $i y || error "$i: mismatch"
+done
+